सामग्री पर जाएँ

Nemotron 3 Nano Omni · Vision

इंटीग्रेट करें

मॉडल id nvidia/nemotron-3-nano-omni/vision
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/nemotron-3-nano-omni/vision?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.018 18 API क्रेडिट · ≈ ₽1.93 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
NVIDIA विज़न #nemotron#nvidia#image-to-text#vision-language

वैकल्पिक रीजनिंग ट्रेस के साथ एकल RGB JPEG या PNG इमेज के बारे में प्रॉम्प्ट का उत्तर देता है

NVIDIA · टेक्स्ट

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

मॉडल के प्रॉम्प्ट के रूप में दिया गया टेक्स्ट; English में होना चाहिए।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

रीज़निंग इनपुट के लिए इमेज URL; JPEG या PNG फ़ॉर्मेट में RGB इमेज स्वीकार करता है।

उन्नत system_prompt · reasoning_mode · max_tokens · temperature · top_p · enable_safety_checker

सिस्टम प्रॉम्प्ट के रूप में दिया गया वैकल्पिक मॉडल मार्गदर्शन, जिसमें रीज़निंग को इसके नियंत्रणों से बाहर रखा गया है; इसके बजाय `reasoning_mode` का उपयोग करें।

reasoning_mode डिफ़ॉल्ट no_think

उत्तर फ़ॉर्मेट: अंतिम उत्तर प्रस्तुत करने से पहले स्पष्ट chain-of-thought ट्रेस शामिल करने के लिए `think` का उपयोग करें। इस ट्रेस के बिना सीधे उत्तर के लिए `no_think` का उपयोग करें।

डिफ़ॉल्ट 1024

निर्मित टोकन की अधिकतम सीमा।

डिफ़ॉल्ट 0.7

सैंपलिंग के लिए उपयोग किया जाने वाला तापमान; छोटे मान आउटपुट को अधिक नियतात्मक बनाते हैं।

डिफ़ॉल्ट 0.95

nucleus sampling के लिए प्रयुक्त प्रायिकता द्रव्यमान।

POST /run/nvidia/nemotron-3-nano-omni/vision?wait=20 कोटेशन → $0.018
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/nemotron-3-nano-omni/vision?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Nemotron 3 Nano Omni · Vision के बारे में

इमेज वेरिएंट एक `image_url` (RGB JPEG या PNG) और टेक्स्ट `prompt` लेता है और चित्र के बारे में लिखित उत्तर लौटाता है। अंतिम उत्तर से पहले चरण-दर-चरण आउटपुट पाने के लिए `reasoning_mode` को `think` पर सेट करें। `temperature` और `top_p` से सैंपलिंग समायोजित की जा सकती है और `max_tokens` 20,000 तक जा सकता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
मॉडल के प्रॉम्प्ट के रूप में दिया गया टेक्स्ट; English में होना चाहिए।
system_promptवैकल्पिक
प्रकारstring | null
सिस्टम प्रॉम्प्ट के रूप में दिया गया वैकल्पिक मॉडल मार्गदर्शन, जिसमें रीज़निंग को इसके नियंत्रणों से बाहर रखा गया है; इसके बजाय `reasoning_mode` का उपयोग करें।
reasoning_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टno_think
thinkno_think
उत्तर फ़ॉर्मेट: अंतिम उत्तर प्रस्तुत करने से पहले स्पष्ट chain-of-thought ट्रेस शामिल करने के लिए `think` का उपयोग करें। इस ट्रेस के बिना सीधे उत्तर के लिए `no_think` का उपयोग करें।
max_tokensवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट1024
1 – 20,000
निर्मित टोकन की अधिकतम सीमा।
temperatureवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.7
0 – 2
सैंपलिंग के लिए उपयोग किया जाने वाला तापमान; छोटे मान आउटपुट को अधिक नियतात्मक बनाते हैं।
top_pवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.95
0 – 1
nucleus sampling के लिए प्रयुक्त प्रायिकता द्रव्यमान।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि सुरक्षा जाँच सक्षम है या नहीं।
image_urlआवश्यक image
प्रकारurl · image
रीज़निंग इनपुट के लिए इमेज URL; JPEG या PNG फ़ॉर्मेट में RGB इमेज स्वीकार करता है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nvidia/nemotron-3-nano-omni/vision",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 18,
    "usd": "0.018",
    "charged": 18,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "output": "The image shows a golden retriever puppy sitting on a wooden floor.",
    "finish_reason": "stop",
    "usage": {
      "input_tokens": 1,
      "output_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
output
stringउत्तर के रूप में निर्मित पाठ।
finish_reason
stringनिर्माण समाप्त होने का कारण।
usage
object {input_tokens, output_tokens}अनुरोध से संबंधित टोकन खपत।

और मॉडल: विज़न

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/nvidia/nemotron-3-nano-omni/vision.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt